import { Injectable } from '@angular/core';
import { CanActivate, Router } from '@angular/router';
import { AuthenticationService } from 'src/app/core/services/authentication.service';

@Injectable({
  providedIn: 'root'
})
export class AuthGuardDisconected implements CanActivate {
  constructor(
    private router: Router, 
    private authService: AuthenticationService
  ) {}

  canActivate(): boolean {
    if (this.authService.isAuthenticated) {
      this.router.navigate(['/admin']);
      return false; // Empêche l'accès aux pages de connexion si déjà connecté
    } else {
      return true; // Permet l'accès aux pages de connexion
    }
  }

 
}
